> For the complete documentation index, see [llms.txt](https://docs.wepin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wepin.io/en/api/restful-api.md).

# RESTful API

Wepin wallet is a service that allows easy integration of Web3 wallets into web/app services via SDK. If you want to integrate Wepin wallet on the web, you can utilize the RESTful Wepin SDK API to integrate wallet services. If you wish to integrate the wallet into your service using the API, please select a platform from the Development Tools in Wepin Workspace and apply through the RESTful API.

{% embed url="<https://workspace.wepin.io/>" %}

The Wepin SDK API provides the following functionalities.

### Initialization and Login

* Initialize
* Issue or Renew Authentication Token
* Login
* Logout

### Wallet

* Register
* Change Wallet PIN
* Reset Wallet PIN Authentication Attemps

### Account

* Retrieve Account Information
* View NFTs
* Refresh Account Balance
* Refresh NFTs


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wepin.io/en/api/restful-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
